Public Class CalcResultEventArgs
   Inherits EventArgs

   Public Enum Results As Integer
      NULL = 0
      OK = 1
      ERROR_ = 2
   End Enum

   Public m_Result As Bar
   Public Property Result As Bar
      Get
         Return m_Result
      End Get
      Private Set(value As Bar)
         m_Result = value
      End Set
   End Property

   Sub New(Result As Bar)
      m_Result = Result
   End Sub

End Class
